<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AlterCategoriesTable extends Migration {

    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up() {
        Schema::table('categories', function (Blueprint $table) {
            $table->text('tagline')->nullable();
            $table->text('tagline2')->nullable();
            $table->text('code')->nullable();
            $table->text('shortDescription')->nullable();
            $table->text('detail')->nullable();
            $table->text('reviews')->nullable();
            $table->string('coveredTitle')->nullable();
            $table->text('coveredText')->nullable();
            $table->string('image')->nullable();
            $table->string('faqTitle')->nullable();
            $table->text('faqText')->nullable();
            $table->string('metaTitle')->nullable();
            $table->text('metaDescription')->nullable();
            $table->text('keywords')->nullable();
            $table->text('tags')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down() {
        Schema::table('categories', function (Blueprint $table) {
            $table->dropColumn(['metaTitle', 'metaDescription', 'keywords', 'tags', 'tagline', "code", 'tagline2', 'shortDescription', 'detail', 'reviews', 'CoveredTitle', 'CoveredText', 'image', 'faqTitle', 'faqText']);
        });
    }

}
